package mget

import (
	"b612.me/starnet"
	"fmt"
	"testing"
)

func TestWget(t *testing.T) {
	r := starnet.NewSimpleRequest("http://192.168.2.33:88/DJI_0746.MP4", "GET")
	w := Mget{
		Setting:    *r,
		RedoRPO:    1048576,
		BufferSize: 8192,
		Thread:     8,
	}
	if err := w.Run(); err != nil {
		t.Fatal(err)
	}
}

func TestSM(t *testing.T) {
	a := map[string]string{
		"1": "1",
		"2": "2",
	}
	modify(a)
	fmt.Println(a)
}

func modify(a map[string]string) {
	b := make(map[string]string)
	b = a
	b["1"] = "3"
}
